## visad.data.hdf5
Class HDF5GroupAdapted

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object
          visad.data.hdf5.hdf5objects.HDF5Group
              visad.data.hdf5.HDF5GroupAdapted

All Implemented Interfaces:
  HDF5DataAdaptable, Serializable

public class HDF5GroupAdapted
extends HDF5Group
implements HDF5DataAdaptable

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Group
`members, parent`

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`ATTRIBUTE, DATASET, DATASPACE, DATATYPE, description, GROUP, HDF5FILE, id, LINK, name, shortName, type, UNKNOWN`

Constructor Summary
`HDF5GroupAdapted()` Constructs an HDF5Group
`HDF5GroupAdapted(int loc_id, String name)` Opens an existing HDF5 Group.
`HDF5GroupAdapted(int loc_id, String gname, int name_length)` Creates a new HDF5 Group.

Method Summary
`DataImpl` `getAdaptedData()`
`DataImpl` `getAdaptedData(int[] indexes)`
`HDF5DataAdaptable` `getElement(int i)`
`MathType` `getMathType()`
`void` `init()` initailize the HDF5GroupAdapted: fill the members of the group

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Group
`addMember, contains, finalize, getMemberAt, getMemberCount, getMembers, getParent, isEmpty, isRoot, removeMember, removeMemberAt, setParent, toString`

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`getDescription, getID, getName, getShortName, getType, setID, setShortName, setType`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5GroupAdapted

    public HDF5GroupAdapted()

  Constructs an HDF5Group

### HDF5GroupAdapted

    public HDF5GroupAdapted(int loc_id,
                            String gname,
                            int name_length)
                     throws HDF5Exception

  Creates a new HDF5 Group.

Parameters:
  `loc_id` - The file or group identifier.
  `gname` - The absolute or relative name of the new group.
  `name_length` - The maximum length of the name.

### HDF5GroupAdapted

    public HDF5GroupAdapted(int loc_id,
                            String name)
                     throws HDF5Exception

  Opens an existing HDF5 Group.

Parameters:
  `loc_id` - The file or group identifier..
  `name` - The absolute or relative name of the new group..

Method Detail

### init

    public void init()
              throws HDF5Exception

  initailize the HDF5GroupAdapted: fill the members of the group

  Overrides:
    `init` in class `HDF5Object`
  Throws:
    `HDF5Exception`

### getMathType

    public MathType getMathType()
                         throws VisADException

  Specified by:
    `getMathType` in interface `HDF5DataAdaptable`
  Throws:
    `VisADException`

### getAdaptedData

    public DataImpl getAdaptedData()
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in interface `HDF5DataAdaptable`
  Throws:
    `VisADException`
    `RemoteException`

### getAdaptedData

    public DataImpl getAdaptedData(int[] indexes)
                            throws VisADException,
                                   RemoteException

  Specified by:
    `getAdaptedData` in interface `HDF5DataAdaptable`
  Throws:
    `VisADException`
    `RemoteException`

### getElement

    public HDF5DataAdaptable getElement(int i)